package com.fs.his.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.R;
import com.fs.his.domain.FsStoreOrderBillLog;
import com.fs.his.param.BillListParam;
import com.fs.his.param.OrderBillParam;
import com.fs.his.vo.FsStoreOrderBillLogVo;
import com.github.pagehelper.PageInfo;

/**
 * 订单开票记录Service接口
 * 
 * @author fs
 * @date 2025-01-07
 */
public interface IFsStoreOrderBillLogService extends IService<FsStoreOrderBillLog> {
    /**
     * 查询订单开票记录
     * 
     * @param id 订单开票记录主键
     * @return 订单开票记录
     */
    public FsStoreOrderBillLog selectFsStoreOrderBillLogById(Long id);

    /**
     * 查询订单开票记录列表
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 订单开票记录集合
     */
    public List<FsStoreOrderBillLog> selectFsStoreOrderBillLogList(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 新增订单开票记录
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 结果
     */
    public int insertFsStoreOrderBillLog(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 修改订单开票记录
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 结果
     */
    public int updateFsStoreOrderBillLog(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 批量删除订单开票记录
     * 
     * @param ids 需要删除的订单开票记录主键集合
     * @return 结果
     */
    public int deleteFsStoreOrderBillLogByIds(Long[] ids);

    /**
     * 删除订单开票记录信息
     * 
     * @param id 订单开票记录主键
     * @return 结果
     */
    public int deleteFsStoreOrderBillLogById(Long id);

    R bill(OrderBillParam param);

    PageInfo<FsStoreOrderBillLogVo> billList(BillListParam param);

    R billBack(Long id);
    R billBackByOrderId(Long orderId);

    R reopen(Long id);
}
